 

  _CLKMODE                  = xtal1 + pll16x
  _XINFREQ                  = 5_000_000
  RCV_PIN                   = 3                                 ' Connect to ring on 2.5 mm phone connector         
  XMT_PIN                   = 11                                 ' Connect to tip on 2.5 mm phone connector
  CR                        = 13 

OBJ

  sio   : "FullDuplexSerial"
  tv    : "tv_wtext"
  kb      : "keyboard"

VAR
  long chk,nlk,x,rxptr
  long stack[50]
  
PUB start
  tv.start(12)
  kb.start(0, 1)
  waitcnt(cnt + clkfreq)
  sio.start(RCV_PIN,XMT_PIN,0, 2400)
  waitcnt(cnt + clkfreq)
  attention
  sio.str(string("ATE0",cr ))      
  x:=cognew(getresponse,@stack) 
  tv.str(string("ProPPhoneterminal",cr))
  repeat
    getinput

PUB getinput
   repeat
    chk:=kb.getkey
    sio.tx(chk)
    tv.out(chk)
    
    if chk == 13
       'tv.str(string(">"))
       return 

PUB getresponse
      
      repeat
        nlk:=sio.rx
        tv.out(nlk)
        if nlk == 10
         
          tv.str(string(">"))          'nlk:=-1
        if nlk == 13
          'tv.str(string("CR"))


PUB attention

  waitcnt(cnt + clkfreq)
  sio.str(string("+++"))
  waitcnt(cnt + clkfreq)
  return

DAT

  atd                            byte  "ATD18158224933;", CR, 0
  atcreg                         byte  "AT+CREG?", CR, 0
  at_command3                    byte  "AT", CR, 0
  at_command4                    byte  "at$gpsacp?", CR, 0
  at_command5                    byte  "at#execscr", CR, 0
  at_command6                    byte  "at#lscript", CR, 0
  at_command7                    byte  "at#escript?", CR, 0

          ' Phone should return "OK"
  